## ros-galactic-plansys2-tools 2.0.8

=== CMakeLists.txt ===
project(plansys2_tools)
cmake_minimum_required(VERSION 3.5)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(qt_gui_cpp REQUIRED)
find_package(rqt_gui_cpp REQUIRED)
find_package(plansys2_problem_expert REQUIRED)

find_package(Qt5Widgets REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
  rclcpp
  plansys2_msgs
  qt_gui_cpp
  rqt_gui_cpp
  plansys2_problem_expert
)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include)

add_library(plansys2_logger SHARED src/plansys2_logger/LoggerNode.cpp)
ament_target_dependencies(plansys2_logger ${dependencies})

add_executable(logger src/logger.cpp)
ament_target_dependencies(logger ${dependencies})
target_link_libraries(logger plansys2_logger)


## RQT Knowledge
set(rqt_plansys2_knowledge_SRCS
  src/rqt_plansys2_knowledge/RQTKnowledge.cpp
  src/rqt_plansys2_knowledge/KnowledgeTree.cpp
)

set(rqt_plansys2_knowledge_HDRS
  include/rqt_plansys2_knowledge/RQTKnowledge.hpp
  include/rqt_plansys2_knowledge/KnowledgeTree.hpp
)

set(rqt_plansys2_knowledge_UIS
  src/rqt_plansys2_knowledge/rqt_plansys2_knowledge.ui
)

set(rqt_plansys2_knowledge_INCLUDE_DIRECTORIES
  include
  ${Qt5Widgets_INCLUDE_DIRS}
)

qt5_wrap_cpp(rqt_plansys2_knowledge_MOCS ${rqt_plansys2_knowledge_HDRS})
qt5_wrap_ui(rqt_plansys2_knowledge_UIS_H ${rqt_plansys2_knowledge_UIS})

include_directories(
  ${rqt_plansys2_knowledge_INCLUDE_DIRECTORIES}
)

add_library(rqt_plansys2_knowledge SHARED
  ${rqt_plansys2_knowledge_SRCS}
  ${rqt_plansys2_knowledge_MOCS}
  ${rqt_plansys2_knowledge_UIS_H}
)

target_link_libraries(
  rqt_plansys2_knowledge
  Qt5::Widgets
)
ament_target_dependencies(rqt_plansys2_knowledge ${dependencies})

## RQT Performers
set(rqt_plansys2_performers_SRCS
  src/rqt_plansys2_performers/RQTPerformers.cpp
  src/rqt_plansys2_performers/PerformersTree.cpp
)

set(rqt_plansys2_performers_HDRS
  include/rqt_plansys2_performers/RQTPerformers.hpp
  include/rqt_plansys2_performers/PerformersTree.hpp
)

set(rqt_plansys2_performers_UIS
  src/rqt_plansys2_performers/rqt_plansys2_performers.ui
)

set(rqt_plansys2_performers_INCLUDE_DIRECTORIES
  include
  ${Qt5Widgets_INCLUDE_DIRS}
)

qt5_wrap_cpp(rqt_plansys2_performers_MOCS ${rqt_plansys2_performers_HDRS})
qt5_wrap_ui(rqt_plansys2_performers_UIS_H ${rqt_plansys2_performers_UIS})

include_directories(
  ${rqt_plansys2_performers_INCLUDE_DIRECTORIES}
)

add_library(rqt_plansys2_performers SHARED
  ${rqt_plansys2_performers_SRCS}
  ${rqt_plansys2_performers_MOCS}
  ${rqt_plansys2_performers_UIS_H}
)

target_link_libraries(
  rqt_plansys2_performers
  Qt5::Widgets
)
ament_target_dependencies(rqt_plansys2_performers ${dependencies})

## RQT Plan
set(rqt_plansys2_plan_SRCS
  src/rqt_plansys2_plan/RQTPlan.cpp
  src/rqt_plansys2_plan/PlanTree.cpp
)

set(rqt_plansys2_plan_HDRS
  include/rqt_plansys2_plan/RQTPlan.hpp
  include/rqt_plansys2_plan/PlanTree.hpp
)

set(rqt_plansys2_plan_UIS
  src/rqt_plansys2_plan/rqt_plansys2_plan.ui
)

set(rqt_plansys2_plan_INCLUDE_DIRECTORIES
  include
  ${Qt5Widgets_INCLUDE_DIRS}
)

qt5_wrap_cpp(rqt_plansys2_plan_MOCS ${rqt_plansys2_plan_HDRS})
qt5_wrap_ui(rqt_plansys2_plan_UIS_H ${rqt_plansys2_plan_UIS})

include_directories(
  ${rqt_plansys2_plan_INCLUDE_DIRECTORIES}
)

add_library(rqt_plansys2_plan SHARED
  ${rqt_plansys2_plan_SRCS}
  ${rqt_plansys2_plan_MOCS}
  ${rqt_plansys2_plan_UIS_H}
)

target_link_libraries(
  rqt_plansys2_plan
  Qt5::Widgets
)
ament_target_dependencies(rqt_plansys2_plan ${dependencies})


install(TARGETS
  plansys2_logger logger
  rqt_plansys2_knowledge
  rqt_plansys2_performers
  rqt_plansys2_plan
  EXPORT rqt_plansys2
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(PROGRAMS
  scripts/rqt_plansys2_knowledge
  scripts/rqt_plansys2_performers
  scripts/rqt_plansys2_plan
  DESTINATION lib/${PROJECT_NAME}
)

install(FILES plugin_knowledge.xml plugin_performers.xml plugin_plan.xml
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
endif()

pluginlib_export_plugin_description_file(rqt_gui "plugin_knowledge.xml")
pluginlib_export_plugin_description_file(rqt_gui "plugin_performers.xml")
pluginlib_export_plugin_description_file(rqt_gui "plugin_plan.xml")
ament_export_libraries(rqt_plansys2)

ament_package()

=== debian/changelog ===
ros-galactic-plansys2-tools (2.0.8-1focal) focal; urgency=high

  * Add missing dependency
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.7-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.5-1focal) focal; urgency=high

  * Fix package dep
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.4-1focal) focal; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Adding missing build dependencies
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.3-1focal) focal; urgency=high

  * Qt5 dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.2-1focal) focal; urgency=high

  * Fixed compilation of main (working on galactic) to compile also on foxy
  * RQT Plan viewer
  * Logger tool - performers and plan
  * Logger tool - knowledge, info and action hub
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-galactic-plansys2-tools (2.0.1-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-galactic-plansys2-tools (2.0.0-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-galactic-plansys2-tools (1.0.10-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-galactic-plansys2-tools (1.0.9-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.8-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.7-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-galactic-plansys2-tools (1.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 18:46:00 -0000

ros-galactic-plansys2-tools (1.0.2-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 10:12:00 -0000

ros-galactic-plansys2-tools (1.0.1-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-galactic-plansys2-tools (0.0.7-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-galactic-plansys2-tools (0.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-galactic-plansys2-tools (0.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-galactic-plansys2-tools (0.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 06:55:00 -0000

ros-galactic-plansys2-tools (0.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 06:11:00 -0000

ros-galactic-plansys2-tools (0.0.2-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 07 Jan 2020 23:00:00 -0000

=== debian/control ===
Source: ros-galactic-plansys2-tools
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-index-cpp, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-plansys2-msgs, ros-galactic-plansys2-problem-expert, ros-galactic-qt-gui-cpp, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-rqt-gui, ros-galactic-rqt-gui-cpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-plansys2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-plansys2-msgs, ros-galactic-plansys2-problem-expert, ros-galactic-qt-gui-cpp, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-rqt-gui, ros-galactic-rqt-gui-cpp, ros-galactic-ros-workspace
Description: A set of tools for monitoring ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-plansys2-tools//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
